Subject: Re: Wishlist for a bundle-only transport mode

From: Jakub Narebski <[email-masked]>
Date: Wed, 21 Nov 2007 18:52:03 +0100

On Wed, 21 Nov 2007, Johannes Schindelin wrote:
> On Wed, 21 Nov 2007, Jakub Narebski wrote:
>> Johannes Schindelin wrote:
>>> On Wed, 21 Nov 2007, Jakub Narebski wrote:
>>>
>>>> That has the disadvantage of pushing to bundle when you make an error 
>>>> in the lastpart of path to existing repository.
>>> 
>>> As I wrote in another reply, I would not allow overwriting an existing 
>>> file.
>> 
>>> Specifying a non-existing file should be good enough.
>> 
>> What I meant here that if you do "git push /some/path/to/rpeo.git", with 
>> mistake in the last part of path to repository, you would end up with a 
>> bundle, and you would have to really watch what happened to catch the 
>> error.
> 
> I use tab completion all the time, so this would not happen to me.  IMHO 
> that is a lesser issue than to introduce a "protocol".

When I copy'n'paste pathname I sometimes catch return / linefeed in
the middle, ending with incorect pathname (which would create bundle).
Tab completon is not always solution (tab completion can be slow,
or nonexistent).

[cut]

But I agree that because "git create bundle" needs refspecs _and revlist_,
while "git push" gets only refspecs because it calculates revlist it would
be better to have to use "git bundle create" to create bundle.

Contrary to "git clone <bundle>" which should just work IMHO.

-- 
Jakub Narebski
Poland